/* =====================================================================
 *  Skel.h - Skelton program for SX-WINDOW Apps.
 * =====================================================================
 * $Revision: 1.5 $
 * $Date: 1993/09/04 02:45:34 $
 * $Author: hidori $
 */

#ifndef SKEL_H
#define SKEL_H

#include <sxlib.h>

#include "misc/bit.h"
#include "misc/filename.h"
#include "window.h"
#include "menu.h"
#include "localrsc.h"

#include "config.h"

/* =====================================================================
 *  const
 * =====================================================================
 */

/* =====================================================================
 *  SXFAITALERROR - vI error ̒ʒm
 * =====================================================================
 */

#define SXFAITALERROR	(0x07fff)

/* =====================================================================
 *  hscBarHeight, vscBarWidth - XN[o[̕
 * =====================================================================
 */

#define hscBarHeight	(18)
#define vscBarWidth	(18)

/* =====================================================================
 *  macro
 * =====================================================================
 */

/* =====================================================================
 *  EXTERN - exten ̃|[^uȋLq
 * =====================================================================
 */

#ifdef MAIN
#  define EXTERN
#else /* !MAIN */
#  define EXTERN	extern
#endif /* MAIN */

/* =====================================================================
 *  FILESTAT - t@Crbg̒` (TSFiles () Ŏgp)
 * =====================================================================
 */

#ifndef FILESTAT
#define FILESTAT
#  define F_READONLY	(bit (0))
#  define F_HIDDEN	(bit (1))
#  define F_SYSTEM	(bit (2))
#  define F_VOLUME	(bit (3))
#  define F_DIRECTORY	(bit (4))
#  define F_ARCHIVE	(bit (5))
#  define F_LINK	(bit (6))
#  define F_EXEC	(bit (7))
#endif /* FILESTAT */

/* =====================================================================
 *  typedef
 * =====================================================================
 */

/* =====================================================================
 *  STDTYPES - {IȌ^`
 * =====================================================================
 */

#ifndef STDTYPES
#define STDTYPES
typedef unsigned char	uchar;
typedef unsigned short	ushort;
typedef unsigned int	uint;
typedef unsigned long	ulong;
#endif /* STDTYPES */

/* =====================================================================
 *  prototype
 * =====================================================================
 */

/* =====================================================================
 *  initProc, tiniProc - ^XNAI
 * =====================================================================
 */

int initProc (int argc, char* argv[]);
void tiniProc (int endFlag, long param);

/* =====================================================================
 *  setTdb - R}hC̕ۑ
 * =====================================================================
 */

int setTdb (void);

/* =====================================================================
 *  global
 * =====================================================================
 */

EXTERN char progname [CCMAXPATHCOMP];

EXTERN int updateFlag;
EXTERN int taskId;
EXTERN tsevent eventRecord;

EXTERN handle localRscHdl;
EXTERN char localRscFilename [CCMAXPATHCOMP];

EXTERN window_t _window [windowMax];
EXTERN window_t* thisWindow;

EXTERN window_pos _window_pos_list [windowMax];

#endif /* SKEL_H */

/* =====================================================================
 *  end of Skel.h
 * =====================================================================
 * $Log: Skel.h,v $
 * Revision 1.5  1993/09/04  02:45:34  hidori
 * Eϐꕔ
 *
 * Revision 1.4  1993/08/14  17:55:32  hidori
 * E"[r" ̃hOΉ
 *
 * Revision 1.3  1993/08/14  12:15:28  hidori
 * EWM_SAVE_TDB \bhւ̑Ή
 *
 * Revision 1.2  1993/08/13  03:16:51  hidori
 * Ewindow \bh̐錾e window \[X̐擪Ɉړ
 *
 * Revision 1.1  1993/08/05  13:51:09  hidori
 * Initial revision
 *
 */
