/* =====================================================================
 *  menu - menu handling utilities
 * =====================================================================
 * $Revision: 1.3 $
 * $Date: 1993/08/16 13:41:59 $
 * $Author: hidori $
 */

static const char rcsid [] = "$Id: menu.c,v 1.3 1993/08/16 13:41:59 hidori Exp $";

#define MENU_UTILS

#include <stdio.h>
#include <string.h>

#include "menu.h"

/* =====================================================================
 *  menuCheckItem - `FbN}[N̐ݒ
 * =====================================================================
 * original: 	CheckItem.c 1991.01.20 by Masaru Oki
 * moddified: 	menu.c 1993.08.14 by Hiroaki Shibuki
 */

int
menuCheckItem (menu** theMenu, unsigned short item, int check)
{
  int r = 0;
  char *ptr = (*theMenu)->mData;
  short itemMax = *((short *)ptr);

  ptr += 3;

  if ((--item) > itemMax) return -1;

  while (item--) {
    ptr += (3 + *(ptr + 1));
    if (!((int) ptr % 2)) ptr++;
  }

  r = *ptr;
  *ptr = check;

  return r;
}

/* =====================================================================
 *  end of menu.c
 * =====================================================================
 * $Log: menu.c,v $
 * Revision 1.3  1993/08/16  13:41:59  hidori
 * Evg^Cv錾̐
 *
 * Revision 1.2  1993/08/15  03:05:40  hidori
 * E}N`̐
 *
 * Revision 1.1  1993/08/14  17:55:32  hidori
 * Initial revision
 *
 */

