/* =====================================================================
 *  filename.h - filename utilities
 * =====================================================================
 * $Revision: 1.2 $
 * $Date: 1993/06/01 15:47:24 $
 * $Author: hidori $
 */

#ifndef FILENAME_H
#define FILENAME_H

/* =====================================================================
 *  const
 * =====================================================================
 */

/* =====================================================================
 *  t@C̍ő咷
 * =====================================================================
 */

#ifndef CCMAXPATHCOMP
#  define CCMAXPATHCOMP	(256)
#endif /* CCMAXPATHCOMP */

/* =====================================================================
 *  SLASH, BACKSLASH ̒`
 * =====================================================================
 */

#ifndef SLASH
# ifdef MSDOS
#   undef  SLASH
#   define SLASH	'\\'		/* Micr*S*ft ̃obLH`	*/
#   undef  BACKSLASH
#   define BACKSLASH	'/'
# else /* MSDOS */
#   undef  SLASH
#   define SLASH	'/'
#   undef  BACKSLASH
#   define BACKSLASH	'\\'
# endif /* MSDOS */
#endif /* SLASH */

#ifndef BACKSLASH
# ifdef MSDOS
#   undef  SLASH
#   define SLASH	'\\'		/* Micr*S*ft ̃obLH`	*/
#   undef  BACKSLASH
#   define BACKSLASH	'/'
# else /* MSDOS */
#   undef  SLASH
#   define SLASH	'/'
#   undef  BACKSLASH
#   define BACKSLASH	'\\'
# endif /* MSDOS */
#endif /* SLASH */

/* =====================================================================
 *  macro
 * =====================================================================
 */

#ifndef STATIC
# define STATIC
#endif /* STATIC */

/* =====================================================================
 *  functions
 * =====================================================================
 */

char* convertslash (const char* src, char* dst);
char* deleteduplicatedslash (const char* src, char* dst);
char* pathname (const char* src, char* dst);
char* basename (const char* src, char* dst);
char* suffix (const char* src, char* dst);
char* deletesuffix (const char* src, char* dst);

#endif /* FILENAME_H */

/* =====================================================================
 *  end of filename.h
 * =====================================================================
 */
