/* =====================================================================
 *  hesvl - ESV loader
 * =====================================================================
 * $Revision$
 * $Date$
 */

static const char	rcsid[]= "$Id$";

#define	MAIN

#include <stdio.h>
#include <iocslib.h>

static const char USAGE [] = "usage: hesvl <filename[.ESV]> ...\n";

int esvl (const char* fileName);

int
main (int argc, char* argv [])
{
  int crtMode = CRTMOD (-1);

  if (argc < 2) {
    fprintf (stderr, "%s", USAGE);
    return 0;
  }

  CRTMOD (12);
  G_CLR_ON ();

  TGUSEMD (0, 3);

  while (++argv, --argc) {
    char fileName [256];
    FILE* fp = fopen (*argv, "rb");

    if (fp == NULL) {
      sprintf (fileName, "%s.ESV", *argv);
    } else {
      sprintf (fileName, "%s", *argv);
      fclose (fp);
    }

    esvl (fileName);
  }

  return crtMode;
}

/* =====================================================================
 *  end of esvl.c
 * =====================================================================
 * $Log$
 */

