/* =====================================================================
 *  ptchop - 'PAT4'or'PAT3' ̃}XN𗎂Ƃ
 * =====================================================================
 *@
 *
 *  	ptchop <input file> <output file>
 *
 *  _
 *
 *@@'PAT3' ̃}XN𗎂Ƃ 'PAT2' ǁA'PAT4' ̃}XN𗎂
 *@@f[^^Cv͂ȂƌĂׂΌ̂낤H
 *
 *  
 *
 *    30,40 ōvOȂ̂ŃG[`FbN͊FɓłB
 *    VXeɒvIȑ^邱Ƃ͖Ǝv܂AҒʂ
 *    ȂƂ͂邩܂B
 *
 *@@ȂA҂͂̃vOɊւ؂̌^`܂B
 *    in the Public Domain ĉB
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <error.h>
#include <io.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <sys/types.h>

#include <sxdef.h>

char const progname [] = "ptchop";
char const usage_string [] = "usage: ptchop [-f] <input file> <output file>";

#define BUFMAX		(4096)
char buf [BUFMAX];

int
main (int argc, char* argv [])
{
  int force = 0;
  int moddify = 1;

  int ifd, ofd;
  char ifn [128], ofn [128];

  if (argc < 3) {
    printf ("%s\n", usage_string);
    return 1;
  }

  *ifn = *ofn = 0;

  while (++argv, --argc) {
    if (**argv == '-') {
      switch (*(*argv + 1)) {
      case 'f':
	force = 1;
	break;
      case 'n':
	moddify = 0;
	break;
      }
    } else {
      if (!*ifn) {
	strcpy (ifn, *argv);
      } else if (!*ofn) {
	strcpy (ofn, *argv);
      }
    }
  }

  if (!*ifn || !*ofn) {
    printf ("%s\n", usage_string);
    return 1;
  }

  printf ("converting ... %s -> %s\n", ifn, ofn);
  fflush (stdout);

  {
    rect rct;		/* rectImg ͂ދ`	*/
    int fsiz;		/* t@CTCY	*/
    int psiz;		/* Py[W̃oCg	*/
    int pages;		/* y[W		*/

    ifd = open (ifn, O_RDONLY | O_BINARY);

    if (ifd < 0) {
      perror (progname);
      return 2;
    }

    if (read (ifd, &rct, sizeof (rect)) < sizeof (rect)) {
      perror (progname);
      return 2;
    }

    lseek (ifd, 0, SEEK_END);
    fsiz = tell (ifd);			/* <input file> ̃t@CTCY	*/

    psiz = ((rct.right / 8) + (rct.right % 8)) * rct.bottom;
    pages = (fsiz - sizeof (rect)) / psiz;

    if (fsiz != ((pages * psiz) + sizeof (rect))) {
      printf ("%s  rectImge t@Cł͂Ȃ\܂.\n", ifn);
      if (!force) return 2;
    }

    fsiz = (pages * psiz) + sizeof (rect);
    fsiz -= ((psiz * !!moddify) + sizeof (rect));

    ofd = open (ofn, O_WRONLY | O_BINARY | O_CREAT | O_TRUNC, S_IREAD | S_IWRITE);
    if (ofd < 0) {
      perror (progname);
      return 2;
    }

    lseek (ifd, sizeof (rect), SEEK_SET);
    write (ofd, &rct, sizeof (rect));	/* ͂ދ`̏			*/

    while (fsiz > 0) {
      int r = read (ifd, buf, min (BUFMAX, fsiz));

      write (ofd, buf, r);
      fsiz -= r;
    }

    close (ifd);
    close (ofd);
  }

  return 0;
}
