/* =====================================================================
 *  audio.h - Extended audio handling methods
 * =====================================================================
 * $Reivision$
 * $Date: 1994/01/04 19:33:23 $
 * $Author: hidori $
 */

#ifndef AUDIO_H
#define AUDIO_H

#include <sys/iocs.h>

/* =====================================================================
 *  typedef
 * =====================================================================
 */

/* =====================================================================
 *  audio_t - g audio \
 * =====================================================================
 */

typedef struct _audio_t {
  handle bufHdl;		/* I[fBIf[^nh		*/
  handle tblHdl;		/* ĐǗe[unh		*/
  unsigned long chunks;		/* f[^ubN			*/
  unsigned char level;		/* Đx				*/
  unsigned char play;		/* vCtO				*/
  unsigned char pause;		/* |[YtO				*/
  unsigned char repeat;		/* s[gtO			*/
  unsigned long user;		/* [NGA				*/
  unsigned long reserve [7];	/* VXe\			*/
} audio_t;

/* =====================================================================
 *  prototypes
 * =====================================================================
 */

audio_t** audioCreate (handle bufHdl);
void audioDispose (audio_t** audioHdl);

int audioPlay (audio_t** audioHdl);
int audioStop (audio_t** audioHdl);

#endif /* AUDIO_H */

/* =====================================================================
 *  end of audio.h
 * =====================================================================
 * $Log: audio.h,v $
 * Revision 1.1  1994/01/04  19:33:23  hidori
 * Initial revision
 *
 */
