/* =====================================================================
 *  config.h - Configrations for SX-WINDOW Apps.
 * =====================================================================
 * $Revision: 1.6 $
 * $Date: 1993/09/04 02:45:34 $
 * $Author: hidori $
 */

/* =====================================================================
 *  eventMask - ׂ event \rbgtB[h
 * =====================================================================
 */

#define eventMask (EM_IDLE | EM_KEYDOWN | EM_MSLDOWN | EM_MSRDOWN  \
		   | EM_UPDATE  | EM_ACTIVATE | EM_SYSTEM1 | EM_SYSTEM2)

/* =====================================================================
 *  windowMax - gp window ̑
 * =====================================================================
 */

#define windowMax		(3)

/* =====================================================================
 *  windowList - N window I[v̏
 * =====================================================================
 */

#define defaultActiveWindow	"100"

/* =====================================================================
 *  _window [0] - mainWindow ̏
 * =====================================================================
 */

#define mainWindowTitle		"MOVIE"

#define mainWindow		(_window [0])
#define mainWindowWdefId	(49 << 4)

#define mainWindowWidth		(128)
#define mainWindowHeight	(64 + 18)

#define mainWindowWidthMin	(64)
#define mainWindowHeightMin	(32 + 18)

#define mainWindowWidthMax	(1024)
#define mainWindowHeightMax	(1024)

#define mainWindowOption	(WINDOW_OPT_CLOSEBOX)

int openMainWindow (int windowNum);

/* =====================================================================
 *  _window [1] - iconWindow ̏
 * =====================================================================
 */

#define iconWindowTitle		"MOVIE: Iconified"

#define iconWindow		(_window [1])
#define iconWindowWdefId	(129 << 4)

#define iconWindowOption	(WINDOW_OPT_HIDE)

int openIconWindow (int windowNum);

/* =====================================================================
 *  _window [2] - infoWindow ̏
 * =====================================================================
 */

#define infoWindowTitle		"Information"

#define infoWindow		(_window [2])
#define infoWindowWdefId	(49 << 4)

#define infoWindowWidth		(264)
#define infoWindowHeight	(192)

#define infoWindowWidthMin	(264)
#define infoWindowHeightMin	(192)

#define infoWindowWidthMax	(264)
#define infoWindowHeightMax	(192)

#define infoWindowOption	(WINDOW_OPT_CLOSEBOX | WINDOW_OPT_HIDE)

int openInfoWindow (int windowNum);

/* =====================================================================
 *  end of config.h
 * =====================================================================
 * $Log: config.h,v $
 * Revision 1.6  1993/09/04  02:45:34  hidori
 * Eϐꕔ
 *
 * Revision 1.5  1993/08/14  17:55:32  hidori
 * EvO̒ǉ
 *
 * Revision 1.4  1993/08/14  12:15:28  hidori
 * EWM_SAVE_TDB \bhւ̑Ή
 *
 * Revision 1.3  1993/08/12  16:34:06  hidori
 * EiconWindow/infoWindow ̃RtBO[VꕔύX
 *
 * Revision 1.2  1993/08/11  11:16:06  hidori
 * E^C`[g̎QƂ
 * E|[Y̎
 *
 * Revision 1.1  1993/08/05  13:51:09  hidori
 * Initial revision
 *
 */
